Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.search
Class BeanValueFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableFilter
              ru.biosoft.access.CompositeFilter
                  ru.biosoft.access.search.BeanValueFilter

All Implemented Interfaces:
  Filter

public class BeanValueFilter
extends CompositeFilter

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary

Fields inherited from class ru.biosoft.access.CompositeFilter
`filterList`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`BeanValueFilter(java.lang.Class beanClass)`

Method Summary
`java.lang.String` | `getItemDisplayName(java.lang.Integer index, java.lang.Object o)`

Methods inherited from class ru.biosoft.access.CompositeFilter
`add, firePropertyChange, getFilter, getFilter, isAcceptable, isExists, processIsEnabled, remove, setFilter, setFilter`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValueFilter

    public BeanValueFilter(java.lang.Class beanClass)
                    throws java.beans.IntrospectionException

Pendung:
  high Think on working with array properties.

Method Detail

### getItemDisplayName

    public java.lang.String getItemDisplayName(java.lang.Integer index,
                                               java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.